%define	api 0.4
%define major 0
%define	libname %mklibname %name %{api} %{major}
%define develname %mklibname -d %{name}

Summary:	SDL MPEG Library
Name:		smpeg
Version:	0.4.5
Release:	%mkrel 4
License:	LGPL
Group:		Video/Utilities
URL:		http://icculus.org/smpeg/
Source0:	%{name}-%{version}.tar.xz
Patch0:		smpeg-0.4.5-libsupc++.patch
Patch1:		smpeg-0.4.5-fix-header.patch
Patch2:		smpeg-0.4.4-format_not_a_string_literal_and_no_format_arguments.diff
Patch3:		smpeg-0.4.5-link.patch
BuildRequires:	Mesa-common-devel
BuildRequires:	ncurses-devel
BuildRequires:	SDL-devel
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libgtk+2-devel

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and SPLAY,
an mpeg audio decoder created by Woo-jae Jung. We have completed the
initial work to wed these two projects in order to create a general
purpose MPEG video/audio player for the Linux OS.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}smpeg0.4 < %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}smpeg0.4-devel < %{version}-%{release}
#gw smpeg-config calls sdl-config
Requires:	SDL-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package 	player
Summary:	Simple MPEG player based on %{name} library
Group:		Video/Players

%description player
This package contains a MPEG player based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .libsupc++
%patch1 -p1 -b .header
%patch2 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch3 -p0 -b .link

touch NEWS AUTHORS ChangeLog
pushd acinclude
rm -f lt*.m4 libtool.m4
popd

%build
autoreconf -fi -Iacinclude
%configure2_5x --disable-rpath --disable-static \
%ifarch x86
	--disable-mmx \
%endif

%make

%install
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/smpeg-config

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files player
%doc README
%{_bindir}/plaympeg
%{_bindir}/glmovie
%{_bindir}/gtv
%{_mandir}/*/*

%files -n %{libname}
%doc README
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%doc CHANGES COPYING README
%{_bindir}/smpeg-config
%multiarch %{multiarch_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_datadir}/aclocal/smpeg.m4


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.4.5-4.mga3
+ Revision: 382217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 0.4.5-3.mga3
+ Revision: 305387
- fix develname

* Sun Oct 14 2012 fwang <fwang> 0.4.5-2.mga3
+ Revision: 305383
- fix linkage
- deal with libtool m4
- touoch empty files
- add include dir
- new snapshot
- fix new name
- drop unused provides
- fix libname and develname

* Sat Feb 05 2011 ahmad <ahmad> 0.4.5-1.mga1
+ Revision: 47100
- ship an svn snapshot, version 0.4.5; there hasn't been a tarball in a long time
- drop patch0, there's a --disable-rpath switch now
- rediff patch1,4
- drop patch2,3 fixed upstream
- drop patch6, it uses gtk+2.0 now
- drop BR esound-devel (esound is getting phased out of the distro)
- drop BR automake1.4
- add BR gtk+2.0-devel to compile the GTK player
- use libtoolize as we ship an svn snapshot (autogen.sh doesn't work)
- disable-static and delete .la

  + supp <supp>
    - fix make process
    - imported package smpeg

